{% load staticfiles %}
<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="{% static 'books/css/bootstrap.min.css' %}">
<link rel="stylesheet" href="{% static 'books/css/bootstrap-theme.min.css' %}">
<link href="{% static 'books/css/style.css' %}" rel="stylesheet" media="screen">
<script src="{% static 'books/js/jquery-3.1.1.min.js' %}"</script>
<script type="text/javascript"></script>

<nav class="navbar navbar-default ">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <a class="navbar-brand" href="{% url 'books:index' %}">Books</a>
    </div>

	<div class="collapse navbar-collapse custom-shopping-cart">
 		<a class="glyphicon glyphicon-shopping-cart" href="{% url 'books:order_page' %}"></a>
 		<span id="order_count" class="custom-shopping-cart-count">{{ order_count }}</span>
	</div>
  </div><!-- /.container-fluid -->
</nav>


{% if books %}
	<div class="container">

		<div class="row">
			<div class="col-md-2">
				<h2>Search</h2>
				<form action="{% url 'books:index' %}" method="post">
					{% csrf_token %}
					<div class="row form-group">
						<input class="form-control" type="text" name="title" placeholder="Title">
						<input class="form-control" type="text" name="author" placeholder="Author">
						<label>Publish year:</label>
						<div class="row margin-bottom-0">
							<div class="col-md-4 padding-right-0 text-center">
								<label>From</label>
							</div>
							<div class="col-md-8 padding-left-0">
								<select class="form-control margin-bottom-0" name="year_from" id="select_year_from"></select>
							</div>
							<div class="col-md-4 padding-right-0 text-center">
								<label>To</label>
							</div>
							<div class="col-md-8 padding-left-0">
								<select class="form-control margin-bottom-0" name="year_to" id="select_year_to"></select>
							</div>
						</div>
						<label>Categories:</label>
						<select class="form-control" name="themes" id="select_themes"></select>
						<div class="checkbox">
							<label><input type="checkbox" name="category_book" checked>Books</label>
						</div>
						<div class="checkbox">
							<label><input type="checkbox" name="category_magazine" checked>Magazines</label>
						</div>
						<div class="text-center">
							<input class="btn btn-success" type="submit" value="Search" name="">
						</div>
					</div>
				</form>
			</div>
			<div class="col-md-10 padding-left-35">
				<div class="row">
					<h2 class="catalogue-title">Catalogue</h2>
				    <div class="books-gallery">
					    {% for book in books %}
					    	<div class="books-item">
						        <a href="{% url 'books:detail' book.id %}">
						        	<img src="{{ book.cover.url }}">
						    		<h4 class="books-title">{{ book.title }}</h4>
						    	</a>
						    	<p class="books-attributes">Author: {{ book.author }}</p>
						    	<p class="books-attributes">Year: {{ book.year_publishing }}</p>
						    	<p class="books-attributes">Themes: {{ book.themes }}</p>
						    	<p class="books-attributes">Price: {{ book.price }}$</p>
								{% csrf_token %}
						    	<input type="button" class="btn btn-success" value="Add to order" onclick="addBookToOrder({{ book.id }})"></input>
					    	</div>
					    {% endfor %}
					</div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		document.addEventListener("DOMContentLoaded", ready);
		function ready(argument) {
			generateYearsOptions('select_year_from');
			generateYearsOptions('select_year_to', true);
			generateThemes();
		}
		function generateYearsOptions(selectID, date_to=false){
			var min = 1900,
		    	max = 2016,
				select = document.getElementById(selectID);
			for (var i = min; i<=max; i++){
			    var opt = document.createElement('option');
			    opt.value = i;
			    opt.innerHTML = i;
			    select.appendChild(opt);
			}
			if (date_to){
				select.value = 2016
			}
		}
		function generateThemes(){
			var themes = ['', 'Study', 'Techniq', 'Detective'],
				select = document.getElementById('select_themes');
			for (var i = 0; i<themes.length; i++){
			    var opt = document.createElement('option');
			    opt.value = i;
			    opt.innerHTML = themes[i];
			    select.appendChild(opt);
			}
		}
		function addBookToOrder(book_id) {
			console.log('new book '+book_id);
			$.get('/books/'+book_id+'/order/', (res)=>{
				console.log(res);
				if (res.status == 'success')
					$('#order_count')[0].innerHTML = res.order_count;
				else
					alert('Error');
			})
		}
	</script>
{% else %}
	<p><strong>No books found</strong></p>
{% endif %}